import 'mocha';
interface Options {
    extractHostname?: boolean;
    allowPrivateDomains?: boolean;
    allowIcannDomains?: boolean;
    validateHostname?: boolean;
    mixedInputs?: boolean;
    detectIp?: boolean;
    validHosts?: string[];
}
export default function test(tldts: {
    getDomainWithoutSuffix: (url: string, options?: Options) => string | null;
    getPublicSuffix: (url: string, options?: Options) => string | null;
    getHostname: (url: string, options?: Options) => string | null;
    getDomain: (url: string, options?: Options) => string | null;
    getSubdomain: (url: string, options?: Options) => string | null;
    parse: (url: string, options?: Options) => {
        domain: string | null;
        hostname: string | null;
        publicSuffix: string | null;
    };
}, { includePrivate }: {
    includePrivate: boolean;
}): void;
export {};
